1. Files
geowallet
  • Overview
  • Authentication
  • APIs
    • Ledger Balance
      • Get Balance of all ledgers
      • Get Balance for a single currency
    • Funding
      • Get deposit instruments
    • Payers
      • Create original payer
    • Beneficiaries
      • Create beneficiary
    • Quotes
      • Get FX quotation
    • Payments
      • Confirm quote and create payment
      • Payment result inquiry
    • Files
      • Create file upload session
        POST
      • Get file processing status
        GET
      • Upload file binary to pre-signed URL
        PUT
  • Payment Status Webhook
  • About Us
  • Schemas
    • ErrorResponse
    • DepositInstrumentsResponse
    • DepositInstruction
    • FiatBankAccount
    • CreatePayerRequest
    • PayerInfo
    • IdentityInfo
    • Address
    • CompanyInfo
    • Director
    • UBO
    • DocumentReference
    • CreatePayerResponse
    • CreateBeneficiaryRequest
    • BeneficiaryInfo
    • BeneficiaryBankAccount
    • IntermediaryBank
    • OriginatorInfo
    • LocalClearing
    • CreateBeneficiaryResponse
    • QuoteRequest
    • QuoteResponse
    • PaymentRequest
    • PaymentInstruction
    • Amount
    • Compliance
    • Metadata
    • PaymentResponse
    • FileUploadSessionRequest
    • FileUploadSessionResponse
    • FileStatusResponse
  1. Files

Get file processing status

GET
/api/v1/files/{fileId}

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://prod-cn.your-api-server.com/api/v1/files/' \
--header 'X-API-Key: <api-key>'

Responses

🟢200
application/json
File status
Bodyapplication/json

Example
{
    "fileId": "string",
    "fileName": "string",
    "fileType": "string",
    "purpose": "string",
    "status": "PENDING",
    "scanResult": {
        "virusScan": "PASSED",
        "ocrStatus": "PENDING",
        "complianceCheck": "COMPLIANT"
    },
    "metadata": {
        "size": 0,
        "contentType": "string",
        "checksum": "string"
    },
    "createdAt": "2019-08-24T14:15:22.123Z",
    "updatedAt": "2019-08-24T14:15:22.123Z"
}
Modified at 2026-06-05 07:31:32
Previous
Create file upload session
Next
Upload file binary to pre-signed URL
Built with